import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { Box } from "../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.mjs";
const IconAi = (props, ref) => {
  return /* @__PURE__ */ jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsx(
        "path",
        {
          d: "M4.2987 10.2105H8.84416M3 12.6667L6.40136 3.33334L10.1429 12.6667M13 3.33334V12.6667",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = forwardRef(IconAi);
const Ai = forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsx(
    Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Ai", props.className].join(" ")
    }
  );
});
Ai.displayName = "IconAi";
export {
  Ai as default
};
